Skip to main content
GET
Get outbound SMS message logs

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Query Parameters

mcc
string

Mobile Country Code.

mnc
string

Mobile Network Code. Mobile Country Code is required if this property is used.

sender
string

The sender ID which can be alphanumeric or numeric.

destination
string

Message destination address.

bulkId
string[]

Unique ID assigned to the request if messaging multiple recipients or sending multiple messages via a single API request. May contain multiple comma-separated values. Maximum length 2048 characters.

messageId
string[]

Unique message ID for which a log is requested. May contain multiple comma-separated values. Maximum length 2048 characters.

generalStatus
enum<string>

Status group name that describes which category the status code belongs to, i.e., PENDING, UNDELIVERABLE, DELIVERED, EXPIRED, REJECTED.

Available options:
ACCEPTED,
PENDING,
UNDELIVERABLE,
DELIVERED,
EXPIRED,
REJECTED
sentSince
string<date-time>

The logs will only include messages sent after this date. Use it alongside sentUntil to specify a time range for the logs, but only up to the maximum limit of 1000 logs per call. Has the following format: yyyy-MM-dd'T'HH:mm:ss.SSSZ.

sentUntil
string<date-time>

The logs will only include messages sent before this date. Use it alongside sentSince to specify a time range for the logs, but only up to the maximum limit of 1000 logs per call. Has the following format: yyyy-MM-dd'T'HH:mm:ss.SSSZ.

Example:

"2020-02-23T17:42:05.39+01:00"

limit
integer<int32>
default:50

Maximum number of messages to include in logs. If not set, the latest 50 records are returned. Maximum limit value is 1000 and you can only access logs for the last 48h.

Required range: x <= 1000
entityId
string

Entity id used to send the message. For more details, see our documentation.

applicationId
string

Application id used to send the message. For more details, see our documentation.

campaignReferenceId
string[]

ID of a campaign that was sent in the message. May contain multiple comma-separated values.

useCursor
boolean

Flag used to enable cursor-based pagination. When set to true, the system will use the cursor to fetch the next set of logs.

cursor
string

Value which represents the current position in the data set. For the first request, this field shouldn't be defined. In subsequent requests, use the nextCursor value returned from the previous response to continue fetching data.

Response

OK

results
SmsLogSmsMessageContent · object[]

An array of message log results, one object per each message log entry.

cursor
CursorPageInfo · object
read-only

Cursor information.